Hacking r4i gold on 3ds

BogdanPanduru

Active Member
OP
Newcomer
Joined
Mar 3, 2012
Messages
38
Trophies
0
XP
12
Hello!I'm planing to get a 3DS tommorow.I got a Ds Lite with a R4i Gold.The sofware is v. 1.4.2 and 3ds 2.0.0.
It will work?On the flashcard it says:"Revolution for DS (3ds,ndsl,ndsi,ndsl,nds)"
 

Skelletonike

♂ ♥ Gallant Pervert ♥ ♀
Member
GBAtemp Patron
Joined
Dec 26, 2008
Messages
3,339
Trophies
2
Age
31
Location
Steam City
XP
2,182
Country
Portugal
Yeah, it should work as long as it's on it's latest firmware, I have an R4i 3DS Gold or whatever, and from what I've read that flashcart is pretty much the same thing so as long as it has the latest update it should work.
 

BogdanPanduru

Active Member
OP
Newcomer
Joined
Mar 3, 2012
Messages
38
Trophies
0
XP
12
Yeah, it should work as long as it's on it's latest firmware, I have an R4i 3DS Gold or whatever, and from what I've read that flashcart is pretty much the same thing so as long as it has the latest update it should work.
Well i think my firmware is 1,4,2 because it says so on the flashcard.There also says "3ds v2.0.0.The version should work right?
 

Skelletonike

♂ ♥ Gallant Pervert ♥ ♀
Member
GBAtemp Patron
Joined
Dec 26, 2008
Messages
3,339
Trophies
2
Age
31
Location
Steam City
XP
2,182
Country
Portugal
Is
Yeah, it should work as long as it's on it's latest firmware, I have an R4i 3DS Gold or whatever, and from what I've read that flashcart is pretty much the same thing so as long as it has the latest update it should work.
Well i think my firmware is 1,4,2 because it says so on the flashcard.There also says "3ds v2.0.0.The version should work right?
Is your flashcart from http://www.r4ids.cn?
 

BogdanPanduru

Active Member
OP
Newcomer
Joined
Mar 3, 2012
Messages
38
Trophies
0
XP
12
Is
Yeah, it should work as long as it's on it's latest firmware, I have an R4i 3DS Gold or whatever, and from what I've read that flashcart is pretty much the same thing so as long as it has the latest update it should work.
Well i think my firmware is 1,4,2 because it says so on the flashcard.There also says "3ds v2.0.0.The version should work right?
Is your flashcart from http://www.r4ids.cn?
Nope,it says www.R4i-gold.hk
 

Skelletonike

♂ ♥ Gallant Pervert ♥ ♀
Member
GBAtemp Patron
Joined
Dec 26, 2008
Messages
3,339
Trophies
2
Age
31
Location
Steam City
XP
2,182
Country
Portugal
Is
Yeah, it should work as long as it's on it's latest firmware, I have an R4i 3DS Gold or whatever, and from what I've read that flashcart is pretty much the same thing so as long as it has the latest update it should work.
Well i think my firmware is 1,4,2 because it says so on the flashcard.There also says "3ds v2.0.0.The version should work right?
Is your flashcart from http://www.r4ids.cn?
Nope,it says www.R4i-gold.hk
Then go to their site and check the download section, when you get there download the latest kernel and read the isntructions written there.
If you're kernel is 1.4.2, then you need to update it to 1.4.3, which is the latest they have on their website.
 

BogdanPanduru

Active Member
OP
Newcomer
Joined
Mar 3, 2012
Messages
38
Trophies
0
XP
12
Is
Yeah, it should work as long as it's on it's latest firmware, I have an R4i 3DS Gold or whatever, and from what I've read that flashcart is pretty much the same thing so as long as it has the latest update it should work.
Well i think my firmware is 1,4,2 because it says so on the flashcard.There also says "3ds v2.0.0.The version should work right?
Is your flashcart from http://www.r4ids.cn?
Nope,it says www.R4i-gold.hk
Then go to their site and check the download section, when you get there download the latest kernel and read the isntructions written there.
Do i really need to download the kernel to work?I also got normal ds roms.The normal one will work without kernel and if i install kernel will they work anymore?
 

Skelletonike

♂ ♥ Gallant Pervert ♥ ♀
Member
GBAtemp Patron
Joined
Dec 26, 2008
Messages
3,339
Trophies
2
Age
31
Location
Steam City
XP
2,182
Country
Portugal
Is
Yeah, it should work as long as it's on it's latest firmware, I have an R4i 3DS Gold or whatever, and from what I've read that flashcart is pretty much the same thing so as long as it has the latest update it should work.
Well i think my firmware is 1,4,2 because it says so on the flashcard.There also says "3ds v2.0.0.The version should work right?
Is your flashcart from http://www.r4ids.cn?
Nope,it says www.R4i-gold.hk
Then go to their site and check the download section, when you get there download the latest kernel and read the isntructions written there.
Do i really need to download the kernel to work?I also got normal ds roms.The normal one will work without kernel?
If you don't upgrade it to the latest one, your 3DS will block the flashcart, you can play it like that,sure, as long as you don't update your 3DS:.. But it's always better to update the kernel and then update the 3DS, seeing as the 3DS often gets new stuff with the updates.
 

BogdanPanduru

Active Member
OP
Newcomer
Joined
Mar 3, 2012
Messages
38
Trophies
0
XP
12
Is
Yeah, it should work as long as it's on it's latest firmware, I have an R4i 3DS Gold or whatever, and from what I've read that flashcart is pretty much the same thing so as long as it has the latest update it should work.
Well i think my firmware is 1,4,2 because it says so on the flashcard.There also says "3ds v2.0.0.The version should work right?
Is your flashcart from http://www.r4ids.cn?
Nope,it says www.R4i-gold.hk
Then go to their site and check the download section, when you get there download the latest kernel and read the isntructions written there.
Do i really need to download the kernel to work?I also got normal ds roms.The normal one will work without kernel?
If you don't upgrade it to the latest one, your 3DS will block the flashcart, you can play it like that,sure, as long as you don't update your 3DS:.. But it's always better to update the kernel and then update the 3DS, seeing as the 3DS often gets new stuff with the updates.
So before i get my 3DS and want to play with it I NEED to put kernel on my flash card before insert it right?
 

BogdanPanduru

Active Member
OP
Newcomer
Joined
Mar 3, 2012
Messages
38
Trophies
0
XP
12
So before i get my 3DS and want to play with it I NEED to put kernel on my flash card before insert it right?
Yup, and since you have a DS Lite it's pretty easy.
You put the kernel on the flashcart, and then on your DS you install the kernel in the flashcart.
If i put kernel on my flashcart,will my Ds Lite still read it?
And kernel is a update right?I just replace the folders.My curent firmware is in Chinesse so it will work if I get the kernel in english?
 

Skelletonike

♂ ♥ Gallant Pervert ♥ ♀
Member
GBAtemp Patron
Joined
Dec 26, 2008
Messages
3,339
Trophies
2
Age
31
Location
Steam City
XP
2,182
Country
Portugal
So before i get my 3DS and want to play with it I NEED to put kernel on my flash card before insert it right?
Yup, and since you have a DS Lite it's pretty easy.
You put the kernel on the flashcart, and then on your DS you install the kernel in the flashcart.
If i put kernel on my flashcart,will my Ds Lite still read it?
And kernel is a update right?I just replace the folders.My curent firmware is in Chinesse so it will work if I get the kernel in english?
Not really, it's kinda different, it's an install file, you put the file on your memory card, and then when you boot up the flashcart, you open that file which installs it.
 

BogdanPanduru

Active Member
OP
Newcomer
Joined
Mar 3, 2012
Messages
38
Trophies
0
XP
12
So before i get my 3DS and want to play with it I NEED to put kernel on my flash card before insert it right?
Yup, and since you have a DS Lite it's pretty easy.
You put the kernel on the flashcart, and then on your DS you install the kernel in the flashcart.
If i put kernel on my flashcart,will my Ds Lite still read it?
And kernel is a update right?I just replace the folders.My curent firmware is in Chinesse so it will work if I get the kernel in english?
Not really, it's kinda different, it's an install file, you put the file on your memory card, and then when you boot up the flashcart, you open that file which installs it.
I downloaded from the site it says on my flashcard (www.r4i-gold.hk) and there is no .nds file,just files to replace.There's also a file named "r4i.3ds".Maybe this is the one to install but my Ds Lite can't read that.
 

Skelletonike

♂ ♥ Gallant Pervert ♥ ♀
Member
GBAtemp Patron
Joined
Dec 26, 2008
Messages
3,339
Trophies
2
Age
31
Location
Steam City
XP
2,182
Country
Portugal
So before i get my 3DS and want to play with it I NEED to put kernel on my flash card before insert it right?
Yup, and since you have a DS Lite it's pretty easy.
You put the kernel on the flashcart, and then on your DS you install the kernel in the flashcart.
If i put kernel on my flashcart,will my Ds Lite still read it?
And kernel is a update right?I just replace the folders.My curent firmware is in Chinesse so it will work if I get the kernel in english?
Not really, it's kinda different, it's an install file, you put the file on your memory card, and then when you boot up the flashcart, you open that file which installs it.
I downloaded from the site it says on my flashcard (www.r4i-gold.hk) and there is no .nds file,just files to replace.There's also a file named "r4i.3ds".Maybe this is the one to install but my Ds Lite can't read that.
Which one of the stickers does ur card have?

I downloaded the kernel to check myself, I can't put it on my flashcart obviously, but one of the files is called 3dscard.dat, try opening that file via ur DS
 

BogdanPanduru

Active Member
OP
Newcomer
Joined
Mar 3, 2012
Messages
38
Trophies
0
XP
12
So before i get my 3DS and want to play with it I NEED to put kernel on my flash card before insert it right?
Yup, and since you have a DS Lite it's pretty easy.
You put the kernel on the flashcart, and then on your DS you install the kernel in the flashcart.
If i put kernel on my flashcart,will my Ds Lite still read it?
And kernel is a update right?I just replace the folders.My curent firmware is in Chinesse so it will work if I get the kernel in english?
Not really, it's kinda different, it's an install file, you put the file on your memory card, and then when you boot up the flashcart, you open that file which installs it.
I downloaded from the site it says on my flashcard (www.r4i-gold.hk) and there is no .nds file,just files to replace.There's also a file named "r4i.3ds".Maybe this is the one to install but my Ds Lite can't read that.
Which one of the stickers does ur card have?
This is the box (i don't know if is exactly the same but it looks like this):
downloade_clip_image001.jpg

And i can't find a photo of what says on my flashcard but on the right of R4i,in the red star (or what ever it is) it says:3ds v.2.0.0 and bellow it says v.1.4.2
Oh yeah and my flashcard is totally yellow.
I don't know if my is unlimited upgradable or not.
If it can't,is there a way to get kernel :(?
 

Skelletonike

♂ ♥ Gallant Pervert ♥ ♀
Member
GBAtemp Patron
Joined
Dec 26, 2008
Messages
3,339
Trophies
2
Age
31
Location
Steam City
XP
2,182
Country
Portugal
So before i get my 3DS and want to play with it I NEED to put kernel on my flash card before insert it right?
Yup, and since you have a DS Lite it's pretty easy.
You put the kernel on the flashcart, and then on your DS you install the kernel in the flashcart.
If i put kernel on my flashcart,will my Ds Lite still read it?
And kernel is a update right?I just replace the folders.My curent firmware is in Chinesse so it will work if I get the kernel in english?
Not really, it's kinda different, it's an install file, you put the file on your memory card, and then when you boot up the flashcart, you open that file which installs it.
I downloaded from the site it says on my flashcard (www.r4i-gold.hk) and there is no .nds file,just files to replace.There's also a file named "r4i.3ds".Maybe this is the one to install but my Ds Lite can't read that.
Which one of the stickers does ur card have?
This is the box (i don't know if is exactly the same but it looks like this):
downloade_clip_image001.jpg

And i can't find a photo of what says on my flashcard but on the right of R4i,in the red star (or what ever it is) it says:3ds v.2.0.0 and bellow it says v.1.4.2
Oh yeah and my flashcard is totally yellow.
I don't know if my is unlimited upgradable or not.
If it can't,is there a way to get kernel :(?
Just copy all the files you downloaded on the site, 3DS v.2.0.0 is prolly one of the 3DS old update version, it must mean that your flashcart was working with the system update v.2.00 but now it's 3.x.x dunno exactly which.
Try replacing all the files with the new ones and then start it up on the ds and check for any executable file.
 

BogdanPanduru

Active Member
OP
Newcomer
Joined
Mar 3, 2012
Messages
38
Trophies
0
XP
12
So before i get my 3DS and want to play with it I NEED to put kernel on my flash card before insert it right?
Yup, and since you have a DS Lite it's pretty easy.
You put the kernel on the flashcart, and then on your DS you install the kernel in the flashcart.
If i put kernel on my flashcart,will my Ds Lite still read it?
And kernel is a update right?I just replace the folders.My curent firmware is in Chinesse so it will work if I get the kernel in english?
Not really, it's kinda different, it's an install file, you put the file on your memory card, and then when you boot up the flashcart, you open that file which installs it.
I downloaded from the site it says on my flashcard (www.r4i-gold.hk) and there is no .nds file,just files to replace.There's also a file named "r4i.3ds".Maybe this is the one to install but my Ds Lite can't read that.
Which one of the stickers does ur card have?
This is the box (i don't know if is exactly the same but it looks like this):

And i can't find a photo of what says on my flashcard but on the right of R4i,in the red star (or what ever it is) it says:3ds v.2.0.0 and bellow it says v.1.4.2
Oh yeah and my flashcard is totally yellow.
I don't know if my is unlimited upgradable or not.
If it can't,is there a way to get kernel :(?
Just copy all the files you downloaded on the site, 3DS v.2.0.0 is prolly one of the 3DS old update version, it must mean that your flashcart was working with the system update v.2.00 but now it's 3.x.x dunno exactly which.
Try replacing all the files with the new ones and then start it up on the ds and check for any executable file.
I surfed the internet and found that if I update to Dsi v.1.43 it will automatly support 3ds v.3.0.0-6.Is this right?
i also found out that my flashcard is not unlimited upgradable so how I get kernel to make the flashcard work for 3ds?
 

BogdanPanduru

Active Member
OP
Newcomer
Joined
Mar 3, 2012
Messages
38
Trophies
0
XP
12
So can somebody tell me how to play 3ds games with my r4i gold flashcard (is not the unlimited upgradable)?
The firmware version is 1.4.2 and supports only 3ds 2.0.0.
How can I make my flashcard run a 3.0.0 3DS?
Also on my flashcard iT DOESN'T WRITES 3DS WITH GREEN!
 
General chit-chat
Help Users
    KenniesNewName @ KenniesNewName: Spam is pretty good fried up